Bug 526265 - Review Request: l7-filter-userspace - Userspace version of l7-filter
Summary: Review Request: l7-filter-userspace - Userspace version of l7-filter
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 526263
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-29 14:55 UTC by Marcus Moeller
Modified: 2013-05-06 12:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-06 12:40:24 UTC


Attachments (Terms of Use)

Description Marcus Moeller 2009-09-29 14:55:51 UTC
Spec URL: http://www.marcus-moeller.de/share/build/l7-filter-userspace/l7-filter-userspace.spec
SRPM URL: http://www.marcus-moeller.de/share/build/l7-filter-userspace/l7-filter-userspace-0.11-1.fc11.src.rpm
Description:

L7-filter is a packet classifier for Linux. Unlike most other classifiers,
it doesn't just look at simple values such as port numbers but does
regular expression matching on the application layer data to determine what
protocols are being used. This is a version of l7-filter that works in
userspace instead of the kernel.

Comment 1 Itamar Reis Peixoto 2009-10-02 13:14:01 UTC
seems to be good, will work without patching the kernel ?

Comment 2 Marcus Moeller 2009-10-02 13:40:23 UTC
At least on my F11 box it seems to work without further modifications as nf_conntrack_netlink is compiled into the kernel.

For further information about the current requirements, please take a look at:

http://l7-filter.sourceforge.net/HOWTO-userspace#Doing

Best Regards
Marcus

Comment 3 Marcus Moeller 2009-10-05 14:14:55 UTC
rpmlint {SPECS,SRPMS,RPMS/i586}/l7-filter-userspace*
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 4 Simon 2009-10-10 23:28:50 UTC
%setup -q -n %{name}-%{version}

is equal to

%setup -q

-n is for naming that differs from name-version

---------------

%doc INSTALL

an install document is not required. The user installed a package and dont need a howto for source compiling and install.
you did this with your package

Comment 7 Christoph Wickert 2009-12-21 17:06:14 UTC
However here is a preliminary review. After you fix the build issue I will check the TBD items.

TBD - MUST: rpmlint must be run on every package
OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines
OK - MUST: License field in spec file matches the actual license: GPLv2+
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 ac135b33fc7918bf1b25997bbff00c75
FAIL - MUST: successfully compiles and builds into binary rpms
TBD - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: all build dependencies are listed in BuildRequires.
N/A - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK - MUST: not designed to be relocatable
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix, then library files that end in .so must go in a -devel package.
N/A - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file
OK - MUST: package does not own files or directories already owned by other packages.
OK - MUST: at the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT
OK - MUST: all filenames valid UTF-8


SHOULD Items:
N/A - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
TBD - SHOULD: builds in mock.
TBD - SHOULD: compiles and builds into binary rpms on all supported architectures.
TBD - SHOULD: functions as described.
N/A - SHOULD: Scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
OK - SHOULD: no file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin


Other items:
OK - latest stable version
OK - SourceURL valid
OK - Compiler flags ok
TBD - Debuginfo complete

Comment 8 Christoph Wickert 2010-04-02 21:57:17 UTC
Marcus, I am sorry the initial review took so long, but now it's up to you to get the package into a state where it builds again. Do you have any intentions to do so?

Comment 9 Christoph Wickert 2010-07-16 18:30:17 UTC
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews I'm now closing this bug. Feel free to reopen once the packages are ready. Don't forget to remove the block on FE-DEADREVIEW then.

Comment 10 Marcus Moeller 2011-08-04 11:16:01 UTC
Upstream has changed to "clear foundation". There was a lack of activity in the project since then.

Lately they have managed to release a new version:

http://download.clearfoundation.com/l7-filter/l7-filter-userspace-0.12-beta1.tar.gz

which sadly does not build. I am in contact with upstream to get it running again, and afterwards will continue to work on the package

Comment 12 Marcus Moeller 2013-05-06 12:40:24 UTC
I am no longer interested in maintaining this package. Maybe someone else would like to continue packaging it.


Note You need to log in before you can comment on or make changes to this bug.